Bug 476956 - RFE: ability to add serial device
RFE: ability to add serial device
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-18 04:59 EST by Julio Merino
Modified: 2009-08-11 12:14 EDT (History)
8 users (show)

See Also:
Fixed In Version: virt-manager-0.8.0-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-11 12:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Julio Merino 2008-12-18 04:59:48 EST
I have created a new virtual machine from the "Virtual Machine Manager" application.  I seletect the Guest OS type "Generic" and configured the partitions, CPU and all other details.  I am using the QEMU backend on a x86_64 machine running Fedora 10.

When I go to the Hardware tab of the virtual machine, I see that there is a "Serial 0" device described as:

Serial Device (Primary Console)
Device Type: pty
Target Port: 0
Source Path: /dev/pts/1

I deleted this device from the virtual machine configuration but now want to readd it.  However, this is not possible from the interface.  The "Add hardware" dialog does not provide any option to add a new serial device.  But it should, at least to be able to restore the original one!
Comment 1 Cole Robinson 2008-12-18 10:13:53 EST
This is a virt-manager issue, so reassigning to that.

You're correct, we haven't implemented a wizard for adding character devices. You can work around this in the interim:

- Make sure the VM is shutoff.
- virsh edit vmname
- Add <serial type='pty'/> somewhere in the <devices><devices/> block
- Save and exit.

The VM should now see a serial device on next start.
Comment 2 Cole Robinson 2009-07-14 19:59:27 EDT
virt-manager now has a wizard for adding serial and parallel devices. Moving to POST.
Comment 3 Mark McLoughlin 2009-08-11 12:14:10 EDT
I think it makes sense to close this as fixed in rawhide, we're probably not going to get this in Fedora 10.

Note You need to log in before you can comment on or make changes to this bug.